Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Interface PortalSession

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalSession

Information about the current user's portal session is stored in the `PortalSession`. The `PortalSession` is synonymous with the HttpSession. A reference to the user's PortalSession can be obtained via the `PortalRequest` or the `PortalAppflowFactory`

See Also:
  `PortalRequest`, `PortalAppflowFactory`

Field Summary
`static String` | `KEY` Deprecated. The HttpSession parameter key used to store the PortalSession under.

Method Summary
`com.bea.p13n.appflow.webflow.WebflowResponse` | `getContentForPortlet(PageIdentifier pageId, PortletIdentifier portletId)` Deprecated. Retrieve the stored WebflowResponse (content) for the given portlet.
`boolean` | `getDoAutoLogin()` Deprecated. Return the instance of autoLogin.
`PortletIdentifier` | `getEditPortlet(PageIdentifier pageId)` Deprecated. Retrieve the portlet that is in edit mode on this page.
`ProfileIdentity` | `getIdentity()` Deprecated. Return the current usr's profile identity
`PortletIdentifier` | `getMaximizedPortlet(PageIdentifier pageId)` Deprecated. Get the maximized portlet for this page.
`Map` | `getMinimizedPortlets(PageIdentifier pageId)` Deprecated. Return a map of all the minimized portlets on a page.
`void` | `invalidate()` Deprecated. Invalidate the PortalSession.
`boolean` | `isPortletEdited(PageIdentifier pageId)` Deprecated. Is a portlet on the page in edit mode?
`boolean` | `isPortletMaximized(PageIdentifier pageId)` Deprecated. Is a portlet in the maximized mode.
`Boolean` | `isPortletMinimized(PageIdentifier pageId, PortletIdentifier portletId)` Deprecated. Is a portlet in the minimized mode.
`void` | `setContentForPortlet(PageIdentifier pageId, PortletIdentifier portletId, com.bea.p13n.appflow.webflow.WebflowResponse response)` Deprecated. Update the content map for the supplied portlets.
`void` | `setDoAutoLogin(boolean value)` Deprecated. Setter for the instance variable doAutoLogin.
`void` | `setEditPortlet(PageIdentifier pageId, PortletIdentifier portletId)` Deprecated. Set this portlet into edit mode.
`void` | `setIdentity(ProfileIdentity identity)` Deprecated. Set the current user's profile identity.
`void` | `setMaximizedPortlet(PageIdentifier pageId, PortletIdentifier portletId)` Deprecated. Put a portlet into maximize mode.
`void` | `setMinimizedPortlet(PageIdentifier pageId, PortletIdentifier portletId, boolean minimized)` Deprecated. Set a portlet in.out minimized mode.

Field Detail

### KEY

    public static final String KEY

  Deprecated.
  The HttpSession parameter key used to store the PortalSession under.

  See Also:
    Constant Field Values

Method Detail

### getIdentity

    public ProfileIdentity getIdentity()

  Deprecated.
  Return the current usr's profile identity

  See Also:
    `ProfileIdentity`

### setIdentity

    public void setIdentity(ProfileIdentity identity)

  Deprecated.
  Set the current user's profile identity. This is done automatically by the security processors upon successful login.

### isPortletMinimized

    public Boolean isPortletMinimized(PageIdentifier pageId,
                                      PortletIdentifier portletId)

  Deprecated.
  Is a portlet in the minimized mode.

  Returns:
    true is the portlet is minimized.

### setMinimizedPortlet

    public void setMinimizedPortlet(PageIdentifier pageId,
                                    PortletIdentifier portletId,
                                    boolean minimized)

  Deprecated.
  Set a portlet in.out minimized mode.

### getMinimizedPortlets

    public Map getMinimizedPortlets(PageIdentifier pageId)

  Deprecated.
  Return a map of all the minimized portlets on a page.

### isPortletMaximized

    public boolean isPortletMaximized(PageIdentifier pageId)

  Deprecated.
  Is a portlet in the maximized mode. Only one portlet per page can be maximized.

  Returns:
    true is the portlet is maximized.

### setMaximizedPortlet

    public void setMaximizedPortlet(PageIdentifier pageId,
                                    PortletIdentifier portletId)

  Deprecated.
  Put a portlet into maximize mode. Only one portlet per page can be maximized. Note: maximize is different the unminimize.

### getMaximizedPortlet

    public PortletIdentifier getMaximizedPortlet(PageIdentifier pageId)

  Deprecated.
  Get the maximized portlet for this page. If no portlet is maximized on this page then return null.

  See Also:
    `MaximizeProcessor`

### isPortletEdited

    public boolean isPortletEdited(PageIdentifier pageId)

  Deprecated.
  Is a portlet on the page in edit mode? Only one portlet per page can be in edit mode.

  Returns:
    true if a portlet is in edit mode on this page.

### setEditPortlet

    public void setEditPortlet(PageIdentifier pageId,
                               PortletIdentifier portletId)

  Deprecated.
  Set this portlet into edit mode.

  See Also:
    `EditProcessor`

### getEditPortlet

    public PortletIdentifier getEditPortlet(PageIdentifier pageId)

  Deprecated.
  Retrieve the portlet that is in edit mode on this page.

  Returns:
    portlet that is in edit mode on the given page, if no portlet is in edit mode the null is returned.

### setContentForPortlet

    public void setContentForPortlet(PageIdentifier pageId,
                                     PortletIdentifier portletId,
                                     com.bea.p13n.appflow.webflow.WebflowResponse response)

  Deprecated.
  Update the content map for the supplied portlets. This is usually called after invoking a portlet's webflow.

### getContentForPortlet

    public com.bea.p13n.appflow.webflow.WebflowResponse getContentForPortlet(PageIdentifier pageId,
                                                                             PortletIdentifier portletId)

  Deprecated.
  Retrieve the stored WebflowResponse (content) for the given portlet.

### invalidate

    public void invalidate()

  Deprecated.
  Invalidate the PortalSession. Clear all instance variables. This is called when the user is logged out.

### getDoAutoLogin

    public boolean getDoAutoLogin()

  Deprecated.
  Return the instance of autoLogin. Used by autoLogin to prevent continuous retries on a failed auto login attempt and set after logout.

### setDoAutoLogin

    public void setDoAutoLogin(boolean value)

  Deprecated.
  Setter for the instance variable doAutoLogin.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved